Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Class PaymentWorkflow

    java.lang.Object
      com.beasys.commerce.foundation.StateMachine
          com.beasys.commerce.ebusiness.payment.PaymentWorkflow

All Implemented Interfaces
  BusinessSmartComponent, Workflow, Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class PaymentWorkflow

extends StateMachine
implements Workflow

     ------------------------------------------------------
     These are the states provided by this StateMachine:
     ------------------------------------------------------

    [Authorized]

    [MarkedForSettle]

    [PendingPartialSettle]

    [PendingSettle]

    [Rejected]

    [SettleFailed]

    [Settled]

    [Retry]

    [Start]   Initial State

     ------------------------------------------------------
     These are the transitions provided by this StateMachine:
     ------------------------------------------------------

         authorize
     [Start]------------->[Authorized]

         failSettle
     [Authorized]------------->[Authorized]

         failSettle
     [MarkedForSettle]------------->[MarkedForSettle]

         markForSettle
     [Authorized]------------->[MarkedForSettle]

         partialSettle
     [Authorized]------------->[PendingPartialSettle]

         partialSettle
     [MarkedForSettle]------------->[PendingPartialSettle]

         pendingPartialSettle
     [PendingPartialSettle]------------->[PendingPartialSettle]

         pendingSettle
     [PendingSettle]------------->[PendingSettle]

         queryFail
     [PendingPartialSettle]------------->[SettleFailed]

         queryFail
     [PendingSettle]------------->[SettleFailed]

         querySuccess
     [PendingPartialSettle]------------->[Authorized]

         querySuccess
     [PendingSettle]------------->[Settled]

         reject
     [Start]------------->[Rejected]

         settle
     [Authorized]------------->[PendingSettle]

         settle
     [MarkedForSettle]------------->[PendingSettle]

         systemFailure
     [Start]------------->[Retry]

         failRetry
     [Retry]------------->[Retry]

         authorize
     [Retry]------------->[Authorized]

See Also
  `Workflow`, Serialized Form

Field Summary

Fields inherited from class com.beasys.commerce.foundation.StateMachine
`currentState, initialState, states, TRANSITION_KEY_TOKEN, transitions`

Constructor Summary
`PaymentWorkflow()` Deprecated See BEA Commerce product offering

Method Summary

Methods inherited from class com.beasys.commerce.foundation.StateMachine
`addTransition, doTransition, getContext, getCurrentStateName, getInitialStateName, getOutgoingTransitions, getStateNames, getTransitionNames, lookAheadTransition, reset, setContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.beasys.commerce.foundation.Workflow
`doTransition, getContext, getCurrentStateName, getInitialStateName, getOutgoingTransitions, getStateNames, getTransitionNames, lookAheadTransition, reset, setContext`

Constructor Detail

### PaymentWorkflow

    public PaymentWorkflow()

  Deprecated See BEA Commerce product offering

  Use WorkflowHome.create("com.beasys.commerce.ebusiness.payment.PaymentWorkflow") to instantiate the workflow.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved